org.springframework.data.relational.core.mapping.event

## Interface RelationalEvent<E>

Type Parameters:
  `E` - the type of the entity to which the event relates.

All Known Subinterfaces:
  WithAggregateChange<E>, WithEntity<E>, WithId<E>

All Known Implementing Classes:
  AbstractRelationalEvent, AfterDeleteEvent, AfterLoadEvent, AfterSaveEvent, BeforeConvertEvent, BeforeDeleteEvent, BeforeSaveEvent, RelationalDeleteEvent, RelationalEventWithEntity, RelationalSaveEvent

    public interface RelationalEvent<E>

an event signalling JDBC processing.

Author:
  Oliver Gierke, Mark Paluch, Jens Schauder

### Method Summary

All Methods Instance Methods Abstract Methods
`E` `getEntity()`
`Class<E>` `getType()`

### Method Detail

#### getEntity

    @Nullable
    E getEntity()

Returns:
  the entity to which this event refers. Might be null.

#### getType

    Class<E> getType()

Returns:
  the type of the entity to which the event relates.
Since:
  2.0